Qt API | Qtopia API | Qtopia Documentation |

# MediaPlayerPluginInterface Class Reference

The MediaPlayerPluginInterface class is used to access MediaPlayerDecoder objects. More...

`#include <qtopia/mediaplayerplugininterface.h>`

List of all member functions.

## Public Members

- virtual MediaPlayerDecoder * decoder () = 0
- virtual MediaPlayerEncoder * encoder () = 0

## Detailed Description

The MediaPlayerPluginInterface class is used to access MediaPlayerDecoder objects.

## Member Function Documentation

### MediaPlayerDecoder * MediaPlayerPluginInterface::decoder ()`[pure virtual]`

This function returns a MediaPlayerDecoder object (or a MediaPlayerDecoder_1_6 extended MediaPlayerDecoder object if this interface returns that it supports the 1_6 API extensions).

### MediaPlayerEncoder * MediaPlayerPluginInterface::encoder ()`[pure virtual]`

This function returns a MediaPlayerEncoder object, however the MediaPlayerEncoder interface is yet to be defined. Please refer to the documentation on the MediaRecoderEncoder documentation which provides an audio encoder API.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.